Package ru.bitel.bgbilling.kernel.tariff.option.server.bean

# Class ContractTariffOptionActivateManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.tariff.option.server.bean.ContractTariffOptionActivateManager

public class ContractTariffOptionActivateManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
Менеджер по активации/деактивации тарифных опций на договоре.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffOptionActivateManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activateOption(TariffOptionService tariffOptionService, int userId, ContractTariffOptionData contractTariffOptionActivate)`
  `int`
  `activateOptionWhithSum(TariffOptionService tariffOptionService, int userId, ContractTariffOptionData contractTariffOptionActivate)`
  `int`
  `activateOptionWhithSumAndPeriod(TariffOptionService tariffOptionService, int userId, ContractTariffOptionData contractTariffOptionActivate)`
  `void`
  `deactivateOption(int userId, int cid, int contractOptionId)`
  Обычная деактивация опции
  `void`
  `deleteOption(int userId, int contractId, int contractOptionId, boolean customer)`
  Обычная деактивация опции
  `Tied.Utils<ContractTariffOption,TariffOption>`
  `getTieUtils()`
  `protected void`
  `processTieException(Tied.TieUnresolvedException ex, int contractId)`
  `void`
  `reactivateOption(int userId, int cid, int contractOptionId)`
  `boolean`
  `tryDeactivateOption(int userId, int cid, int contractOptionId, boolean checkDeactivated, boolean deactivateNow)`
  Попытка деактивировать опцию
  `boolean`
  `tryDeleteOption(int userId, int contractId, int contractOptionId, boolean customer)`
  Попытка деактивировать опцию

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffOptionActivateManager

    public ContractTariffOptionActivateManager(Connection con)

- ## Method Details

  - ### activateOption

    public void activateOption(TariffOptionService tariffOptionService, int userId, ContractTariffOptionData contractTariffOptionActivate) throws Exception, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `Exception`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### activateOptionWhithSum

    public int activateOptionWhithSum(TariffOptionService tariffOptionService, int userId, ContractTariffOptionData contractTariffOptionActivate) throws Exception, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `Exception`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### activateOptionWhithSumAndPeriod

    public int activateOptionWhithSumAndPeriod(TariffOptionService tariffOptionService, int userId, ContractTariffOptionData contractTariffOptionActivate) throws Exception, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `Exception`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### processTieException

    protected void processTieException(Tied.TieUnresolvedException ex, int contractId) throws ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deactivateOption

    public void deactivateOption(int userId, int cid, int contractOptionId) throws Exception
    Обычная деактивация опции
    Parameters:
      `userId` -
      `cid` -
      `contractOptionId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### tryDeactivateOption

    public boolean tryDeactivateOption(int userId, int cid, int contractOptionId, boolean checkDeactivated, boolean deactivateNow) throws Exception
    Попытка деактивировать опцию
    Parameters:
      `userId` -
      `cid` -
      `contractOptionId` -
      `checkClosed` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`

  - ### reactivateOption

    public void reactivateOption(int userId, int cid, int contractOptionId) throws Exception
    Throws:
      `Exception`

  - ### getTieUtils

    public Tied.Utils<ContractTariffOption,TariffOption> getTieUtils() throws Exception
    Throws:
      `Exception`

  - ### deleteOption

    public void deleteOption(int userId, int contractId, int contractOptionId, boolean customer) throws Exception, ru.bitel.bgbilling.common.BGMessageException
    Обычная деактивация опции
    Parameters:
      `userId` -
      `contractId` -
      `contractOptionId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### tryDeleteOption

    public boolean tryDeleteOption(int userId, int contractId, int contractOptionId, boolean customer) throws Exception, ru.bitel.bgbilling.common.BGMessageException
    Попытка деактивировать опцию
    Parameters:
      `userId` -
      `contractId` -
      `contractOptionId` -
      `customer` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`
      `ru.bitel.bgbilling.common.BGMessageException`